summaryrefslogtreecommitdiff
path: root/net-im
diff options
context:
space:
mode:
authorChris Sobczak <chris@sobczak.family>2026-09-09 13:53:00 -0700
committerChris Sobczak <chris@sobczak.family>2026-09-09 13:53:00 -0700
commit8eaf3fd288b551dc521316090a1c9beed0eaa1d2 (patch)
tree98e0e5d344f9d17aff50100d3c429ecd53bccd57 /net-im
parentb39cd578d27dee8a867bc67b94b80b7df97a5c0d (diff)
add zoom
Diffstat (limited to 'net-im')
-rw-r--r--net-im/zoom/Manifest2
-rw-r--r--net-im/zoom/zoom-7.0.0.1666-r2.ebuild149
-rw-r--r--net-im/zoom/zoom-7.1.8.46825.ebuild149
3 files changed, 300 insertions, 0 deletions
diff --git a/net-im/zoom/Manifest b/net-im/zoom/Manifest
new file mode 100644
index 0000000..21cc41b
--- /dev/null
+++ b/net-im/zoom/Manifest
@@ -0,0 +1,2 @@
+DIST zoom-7.0.0.1666_x86_64.tar.xz 294101212 BLAKE2B fc14a92773bc1cb1abc580339ef6290f95e375f8d2893d6f99bafbf7304e1013c5c2069856c833218a5269e6b54efab6a1bf042068db5bbb1925c2faa8e2e7a9 SHA512 fa016a22aa2db8fce5bcc992451d76ce83aa4cca2fc057dae8f2aacfe7bf32946d0ebb3fe4470c2b19f6c85005b487d8eb84b70d0006b30197badc6cc3c0e57c
+DIST zoom-7.1.8.46825_x86_64.tar.xz 296976636 BLAKE2B baf3342fbf8ade97ebd7a5246c3277da75d3e8ab8bd421a4777ce2cd9867e4a24847f3421434206eb9b34ab648d00ee214a3b61ef3326e3b864ba324bf7c7c6c SHA512 4515345bdbeb951a326ff488189e10c38ce082003f5c55926ce0044d8935f113dea061be9d5d41710e86dabb7cf7a452f8dc01ebbdded75b30cf563fa3bd6be1
diff --git a/net-im/zoom/zoom-7.0.0.1666-r2.ebuild b/net-im/zoom/zoom-7.0.0.1666-r2.ebuild
new file mode 100644
index 0000000..3a5a943
--- /dev/null
+++ b/net-im/zoom/zoom-7.0.0.1666-r2.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop linux-info readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="Video conferencing and web conferencing service"
+HOMEPAGE="https://www.zoom.com/"
+SRC_URI="https://zoom.us/client/${PV}/${PN}_x86_64.tar.xz -> ${P}_x86_64.tar.xz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="opencl pulseaudio wayland +zoom-symlink"
+RESTRICT="mirror bindist strip"
+
+RDEPEND="zoom-symlink? ( !games-engines/zoom )
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ app-crypt/mit-krb5
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/icu
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/quazip
+ dev-qt/qt5compat:6[qml]
+ dev-qt/qtbase:6[opengl]
+ dev-qt/qtdeclarative:6[opengl]
+ dev-qt/qtsvg:6
+ media-libs/alsa-lib
+ media-libs/fdk-aac:0/2
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/mesa[gbm(+)]
+ media-sound/mpg123
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ sys-libs/glibc
+ virtual/glu
+ virtual/libudev
+ virtual/opengl
+ virtual/zlib:=
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon[X]
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxshmfence
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/xcb-util-cursor
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ opencl? (
+ sys-devel/gcc:*[openmp]
+ virtual/opencl
+ )
+ pulseaudio? ( media-libs/libpulse )
+ wayland? ( dev-libs/wayland )"
+
+BDEPEND="dev-util/bbe"
+
+CONFIG_CHECK="~USER_NS ~PID_NS ~NET_NS ~SECCOMP_FILTER"
+QA_PREBUILT="opt/zoom/*"
+
+src_prepare() {
+ default
+
+ # The tarball doesn't contain an icon, so extract it from the binary
+ bbe -s -b '/<svg width="32" height="32"/:/<\x2fsvg>\n/' -e 'J 1;D' zoom \
+ >videoconference-zoom.svg && [[ -s videoconference-zoom.svg ]] \
+ || die "Extraction of icon failed"
+
+ if ! use pulseaudio; then
+ # For some strange reason, zoom cannot use any ALSA sound devices if
+ # it finds libpulse. This causes breakage if media-sound/apulse[sdk]
+ # is installed. So, force zoom to ignore libpulse.
+ bbe -e 's/libpulse.so/IgNoRePuLsE/' zoom >zoom.tmp || die
+ mv zoom.tmp zoom || die
+ fi
+}
+
+src_install() {
+ insinto /opt/zoom
+ exeinto /opt/zoom
+ doins -r calendar cef diagnostic email imjs js json ringtone sip \
+ timezones translations
+ doins *.pcm Embedded.properties version.txt unifywebview_config.zip
+ doexe zoom zopen ZoomClips ZoomLauncher ZoomWebviewHost *.sh \
+ aomhost cpthost libaomagent.so libcml.so libdvf.so libmkldnn.so \
+ libavcodec.so* libavformat.so* libavutil.so* libswresample.so*
+ fperms a+x /opt/zoom/cef/chrome_sandbox
+ dosym -r {"/usr/$(get_libdir)",/opt/zoom}/libmpg123.so
+ dosym -r "/usr/$(get_libdir)/libfdk-aac.so.2" /opt/zoom/libfdkaac2.so
+ dosym -r "/usr/$(get_libdir)/libquazip1-qt6.so" /opt/zoom/libquazip.so
+
+ if use opencl; then
+ doexe libclDNN64.so
+ dosym -r {"/usr/$(get_libdir)",/opt/zoom}/libOpenCL.so.1
+ fi
+
+ if ! use wayland; then
+ # Soname dependency on libwayland-client.so.0
+ rm "${ED}"/opt/zoom/cef/libGLESv2.so || die
+ fi
+
+ use zoom-symlink && dosym -r /opt/zoom/ZoomLauncher /usr/bin/zoom
+
+ make_desktop_entry "${EPREFIX}/opt/zoom/ZoomLauncher %U" Zoom \
+ videoconference-zoom "Network;VideoConference;" \
+ "MimeType=$(printf '%s;' \
+ x-scheme-handler/zoommtg \
+ x-scheme-handler/zoomus \
+ application/x-zoom)"
+ doicon videoconference-zoom.svg
+ doicon -s scalable videoconference-zoom.svg
+
+ local DOC_CONTENTS="Some of Zoom's screen share features (e.g.
+ the whiteboard) require display compositing. If you encounter
+ a black window when sharing the screen, then one of the following
+ actions should help:
+ \\n- Enable compositing in your window manager if it is supported
+ \\n- Alternatively, run the xcompmgr command (from x11-misc/xcompmgr)"
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/net-im/zoom/zoom-7.1.8.46825.ebuild b/net-im/zoom/zoom-7.1.8.46825.ebuild
new file mode 100644
index 0000000..3a5a943
--- /dev/null
+++ b/net-im/zoom/zoom-7.1.8.46825.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop linux-info readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="Video conferencing and web conferencing service"
+HOMEPAGE="https://www.zoom.com/"
+SRC_URI="https://zoom.us/client/${PV}/${PN}_x86_64.tar.xz -> ${P}_x86_64.tar.xz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="opencl pulseaudio wayland +zoom-symlink"
+RESTRICT="mirror bindist strip"
+
+RDEPEND="zoom-symlink? ( !games-engines/zoom )
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ app-crypt/mit-krb5
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/icu
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/quazip
+ dev-qt/qt5compat:6[qml]
+ dev-qt/qtbase:6[opengl]
+ dev-qt/qtdeclarative:6[opengl]
+ dev-qt/qtsvg:6
+ media-libs/alsa-lib
+ media-libs/fdk-aac:0/2
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/mesa[gbm(+)]
+ media-sound/mpg123
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ sys-libs/glibc
+ virtual/glu
+ virtual/libudev
+ virtual/opengl
+ virtual/zlib:=
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon[X]
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxshmfence
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/xcb-util-cursor
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ opencl? (
+ sys-devel/gcc:*[openmp]
+ virtual/opencl
+ )
+ pulseaudio? ( media-libs/libpulse )
+ wayland? ( dev-libs/wayland )"
+
+BDEPEND="dev-util/bbe"
+
+CONFIG_CHECK="~USER_NS ~PID_NS ~NET_NS ~SECCOMP_FILTER"
+QA_PREBUILT="opt/zoom/*"
+
+src_prepare() {
+ default
+
+ # The tarball doesn't contain an icon, so extract it from the binary
+ bbe -s -b '/<svg width="32" height="32"/:/<\x2fsvg>\n/' -e 'J 1;D' zoom \
+ >videoconference-zoom.svg && [[ -s videoconference-zoom.svg ]] \
+ || die "Extraction of icon failed"
+
+ if ! use pulseaudio; then
+ # For some strange reason, zoom cannot use any ALSA sound devices if
+ # it finds libpulse. This causes breakage if media-sound/apulse[sdk]
+ # is installed. So, force zoom to ignore libpulse.
+ bbe -e 's/libpulse.so/IgNoRePuLsE/' zoom >zoom.tmp || die
+ mv zoom.tmp zoom || die
+ fi
+}
+
+src_install() {
+ insinto /opt/zoom
+ exeinto /opt/zoom
+ doins -r calendar cef diagnostic email imjs js json ringtone sip \
+ timezones translations
+ doins *.pcm Embedded.properties version.txt unifywebview_config.zip
+ doexe zoom zopen ZoomClips ZoomLauncher ZoomWebviewHost *.sh \
+ aomhost cpthost libaomagent.so libcml.so libdvf.so libmkldnn.so \
+ libavcodec.so* libavformat.so* libavutil.so* libswresample.so*
+ fperms a+x /opt/zoom/cef/chrome_sandbox
+ dosym -r {"/usr/$(get_libdir)",/opt/zoom}/libmpg123.so
+ dosym -r "/usr/$(get_libdir)/libfdk-aac.so.2" /opt/zoom/libfdkaac2.so
+ dosym -r "/usr/$(get_libdir)/libquazip1-qt6.so" /opt/zoom/libquazip.so
+
+ if use opencl; then
+ doexe libclDNN64.so
+ dosym -r {"/usr/$(get_libdir)",/opt/zoom}/libOpenCL.so.1
+ fi
+
+ if ! use wayland; then
+ # Soname dependency on libwayland-client.so.0
+ rm "${ED}"/opt/zoom/cef/libGLESv2.so || die
+ fi
+
+ use zoom-symlink && dosym -r /opt/zoom/ZoomLauncher /usr/bin/zoom
+
+ make_desktop_entry "${EPREFIX}/opt/zoom/ZoomLauncher %U" Zoom \
+ videoconference-zoom "Network;VideoConference;" \
+ "MimeType=$(printf '%s;' \
+ x-scheme-handler/zoommtg \
+ x-scheme-handler/zoomus \
+ application/x-zoom)"
+ doicon videoconference-zoom.svg
+ doicon -s scalable videoconference-zoom.svg
+
+ local DOC_CONTENTS="Some of Zoom's screen share features (e.g.
+ the whiteboard) require display compositing. If you encounter
+ a black window when sharing the screen, then one of the following
+ actions should help:
+ \\n- Enable compositing in your window manager if it is supported
+ \\n- Alternatively, run the xcompmgr command (from x11-misc/xcompmgr)"
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}